Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 227719 - Review Request: gpixpod - An ipod photo organizer
Summary: Review Request: gpixpod - An ipod photo organizer
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks: FE-ACCEPT
TreeView+ depends on / blocked
 
Reported: 2007-02-07 18:55 UTC by Deji Akingunola
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-13 22:28:38 UTC
notting: fedora-cvs+


Attachments (Terms of Use)

Description Deji Akingunola 2007-02-07 18:55:31 UTC
Spec URL: ftp://czar.eas.yorku.ca/pub/gpixpod/gpixpod.spec
SRPM URL: ftp://czar.eas.yorku.ca/pub/gpixpod/gpixpod-0.6.2-1.src.rpm
Description: 
GPixPod let you manage your collection of photos uploading
them to your iPod, organizing them in photo albums.
Instead of the iTunes synchronization approach, GPixPod 
let you choose your manual operations on your photos and
photo albums, such as adding/deleting individual photos
and photo albums, and renaming photo albums

Comment 1 Parag AN(पराग) 2007-02-08 14:20:15 UTC
mock build is fine
rpmlint  is silent.
will review tomorrow

Comment 2 Parag AN(पराग) 2007-02-09 04:51:32 UTC
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPMS.
+ source files match upstream.
2136a65e7b72ba5f5cd7ae5ebdc2205c  gpixpod-0.6.2.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ translations are available.
+ Dose owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Desktop files installed correctly.
+ python guidelines followed.
+ GUI app.

APPROVED.



Note You need to log in before you can comment on or make changes to this bug.